﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyDesktopApplication
{
    public partial class ViewContacts : Form
    {
        public ViewContacts()
        {
            InitializeComponent();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        } //btnClose_Click

        // Define View Contacts Data Grid Method
        private void LoadContacts()
        {
            string filePath = "contacts.csv";
            DataTable dataTable = new DataTable();

            // Database Field Names or Member Names
            dataTable.Columns.Add("FullName", typeof(string));
            dataTable.Columns.Add("DateTime", typeof(string));

            string[] lines = File.ReadAllLines(filePath);
            for (int i = 1; i < lines.Length; i++)
            {

                string[] data = lines[i].Split(',');
                dataTable.Rows.Add(data[0], data[1]);

            } // for

            dataGridViewContacts.DataSource = dataTable;

        } // Load Contacts

        private void ViewContacts_Load(object sender, EventArgs e)
        {
            LoadContacts();
        }
    }
}
