﻿// See https://aka.ms/new-console-template for more information
Console.WriteLine("Chapter 8");
Console.WriteLine("=========");

// Arrays in C#
// Types of Arrays: Single, Multidimensional "matrix", Jagged "Array of Arrays", 
// Syntax for Arrays
//// Single type[] ex. string[] int[] bool[]
//// Multi or Matrix or Rectangular type[,]  string[,] int[,]
//// Example of 2 Dim Matrix  string[,]  [row,col]
//// Example of 3 Dim Matrix string[,,]
//// Jagged or "Array of Arrays" type[][]  ex. string[][]
///

// Single Dim Array
// linear or series array
// page 230
// elements

// type: integer int Array []
// name: ages
// assignment =
// instance "new instance of an object in memory"   new keyword
// object in memory will store 5 integer elements  int[5]
// length 5
// positional index 0-4
int[] ages = new int[5];

// static value
ages[0] = 21;

// user input
Console.WriteLine("Enter Contact Age: ");
// string i_age;
// i_age = Console.ReadLine();
// ages[1] = Convert.ToInt32(i_age);
ages[1] = 22;

// variable
int age = 52;
ages[2] = age;

ages[3] = 42;
ages[4] = 48;

Console.WriteLine(ages); // print the array type

// Loop thru the Array
// "for x in ys"  local variable scope "x"  collection "ys"
// foreach keyword
foreach (int v_age in ages)
{
    Console.WriteLine(v_age);  //  local variable defined in the scope
                               //  v_age
} // foreach


// Multi Dimensional Arrays / Rectangular page 239
// columns / fields / members 
//// sku, cost, price

// rows "count to rows in the dataset before creating the object in memory
int dataRows = 2; // get 10 from your count
// query the count from the excel sheet and assign to dataRows

int[,] myMatrix = new int[dataRows, 3]; // [2,3]

// table
myMatrix[0, 0] = 4581;  // sku 4581
myMatrix[0, 1] = 12; // Cost of sku 4581  12
myMatrix[0, 2] = 25; // Price of sku 4581 25
myMatrix[1, 0] = 4582; // sku row 2
myMatrix[1, 1] = 18; // cost row 2
myMatrix[1, 2] = 36; // price row 2

int[,] myMatrix1 =
{
    { 5875, 10, 18 },   // row[0] 3 cols
    { 5878, 12, 25 }    // row[1] 3 cols
};


// Looping thru multi dimensional arrays
// for keyword 
for (int x = 0; x < myMatrix.GetLength(0); x++) // row ??  [ [0],[1] ]
{
    for (int y = 0; y < myMatrix.GetLength(1); y++)
    {
        // value of something
        Console.WriteLine(myMatrix[x, y] + " ");
    
    } // for y

    Console.WriteLine();

} // for x

// Jagged Arrays page 240
// dissimilar array lengths

int[][] myJaggedArray =
{
   // { 1001,1002,1003 }
   new int[] { 1001, 1002, 1003},
   new int[] { 2001, 2002, 2003, 2004},
   new int[] { 3001, 3002 }

}; // myJaggedArray

foreach (int[] m in myJaggedArray)
{
    foreach (int n in m)
    {
        Console.WriteLine(n + " ");
    } // foreach

    Console.WriteLine();

} // foreach

Console.WriteLine("Chapter 9");
Console.WriteLine("=========");

// Current System Data
// now()
// datetime
DateTime currentDateTime = DateTime.Now;
Console.WriteLine(currentDateTime);
// 7/11/2024 10:38:48 AM
string textbox1 = String.Format("{0:D}", currentDateTime);
// D > "dddd, MMMM dd, yyyy"
Console.WriteLine(textbox1);

Console.WriteLine("Enter your birthday: (mm/dd/yyyy): ");
string i_bday = Console.ReadLine();
// regex pattern for i_bday
// ^([0-9]{0,2})/([0-9]{0,2})/([0-9]{0,4})$

DateTime birthday; // create the object in memory first
birthday = Convert.ToDateTime(i_bday); // 7/11/2024 12:00:00 AM
Console.WriteLine(birthday);
string textbox2 = String.Format("{0:D}", birthday);
// D > "dddd, MMMM dd, yyyy"
Console.WriteLine(textbox2); // Wednesday, March 21, 1990
