﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MyDesktopApplication
{
    public partial class AddContact : Form
    {
        public AddContact()
        {
            InitializeComponent();
            // Handler for the DateTime
            lblDateTime.Text = DateTime.Now.ToString("MM-dd-yyyy HH:mm:ss");

        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void AddContact_Load(object sender, EventArgs e)
        {
            // Form Load Events


        } // AddContact_Load

        private void btnSubmit_Click(object sender, EventArgs e)
        {
            // Assign the controls to a variable in memory
            string firstName = txtFirstName.Text;
            string lastName = txtLastName.Text;
            string fullName = firstName + " " + lastName;
            string dateTime = DateTime.Now.ToString("MM-dd-yyyy HH:mm:ss");

            // call the SaveContact Method
            SaveContact(fullName, dateTime);



        } // btnSubmit_Click

        // Define the SaveContact Method
        private void SaveContact(string fullName, string dateTime)
        {
            string filePath = "contacts.csv";
            string content = string.Format("{0}, {1}", fullName, dateTime);

            File.AppendAllText(filePath, content + Environment.NewLine);

            txtFirstName.Text = "";
            txtLastName.Text = "";

        } // SaveContact

    }
}
